import 'package:flutter/material.dart';
import 'package:wyatt_ui_layout/wyatt_wyatt_ui_layout.dart';
import 'package:wyatt_ui_layout_example/pages/app_bar_layout_page.dart';
import 'package:wyatt_ui_layout_example/pages/bottom_navigation_bar_layout_page_1.dart';

class AvailabaleLayouts extends StatelessWidget {
  const AvailabaleLayouts({super.key});

  @override
  Widget build(BuildContext context) => AppBarLayout(
        title: 'Available Layouts',
        body: Center(
          child: SingleChildScrollView(
            physics: const BouncingScrollPhysics(),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                ElevatedButton(
                  onPressed: () {
                    Navigator.push(
                      context,
                      // ignore: inference_failure_on_instance_creation
                      MaterialPageRoute(
                        builder: (context) => const AppBarLayoutPage(),
                      ),
                    );
                  },
                  child: const Text(
                    'App Bar Layout',
                  ),
                ),
                ElevatedButton(
                  onPressed: () {
                    Navigator.push(
                      context,
                      // ignore: inference_failure_on_instance_creation
                      MaterialPageRoute(
                        builder: (context) =>
                            const BottomNavigationBarLayoutPage1(),
                      ),
                    );
                  },
                  child: const Text(
                    'Bottom Navigation Bar Layout',
                  ),
                ),
              ],
            ),
          ),
        ),
      );
}
